use super::schema::member_game_settings;
use beteran_common_rust as bcr;

///
#[derive(Identifiable, Queryable, PartialEq, PartialOrd, Debug, Clone)]
#[table_name = "member_game_settings"]
pub struct MemberGameSetting {
  ///
  pub id: uuid::Uuid,
  ///
  pub member_id: uuid::Uuid,
  ///
  pub can_bet_casino: bool,
  ///
  pub can_bet_slot: bool,
  ///
  pub can_bet_powerball: bool,
  ///
  pub can_bet_powerladder: bool,
  ///
  pub can_bet_eos: bool,
  ///
  pub can_bet_bogglepowerball: bool,
  ///
  pub created_at: i64,
  ///
  pub updated_at: i64,
}

///
#[derive(Insertable, Debug, Clone)]
#[table_name = "member_game_settings"]
pub struct NewMemberGameSetting {
  ///
  pub member_id: uuid::Uuid,
  ///
  pub can_bet_casino: bool,
  ///
  pub can_bet_slot: bool,
  ///
  pub can_bet_powerball: bool,
  ///
  pub can_bet_powerladder: bool,
  ///
  pub can_bet_eos: bool,
  ///
  pub can_bet_bogglepowerball: bool,
}

///
#[derive(Insertable, Debug, Clone)]
#[table_name = "member_game_settings"]
pub struct NewMemberGameSettingForDefault {
  ///
  pub member_id: uuid::Uuid,
}

///
#[derive(AsChangeset, Debug, Clone)]
#[table_name = "member_game_settings"]
pub struct ModifyMemberGameSetting {
  ///
  pub can_bet_casino: bool,
  ///
  pub can_bet_slot: bool,
  ///
  pub can_bet_powerball: bool,
  ///
  pub can_bet_powerladder: bool,
  ///
  pub can_bet_eos: bool,
  ///
  pub can_bet_bogglepowerball: bool,
}

///
#[derive(Debug, Clone)]
pub struct FindAllSearch {
  ///
  pub member_id: Option<uuid::Uuid>,
}

///
#[derive(Debug, Clone)]
pub struct FindAll {
  ///
  pub search: Option<FindAllSearch>,
  ///
  pub pagination: Option<bcr::pagination::Pagination>,
  ///
  pub sorts: Option<Vec<bcr::pagination::Sort>>,
}
